import request from '@/utils/request'
// 分包汇总分页
export function tataOrdSubcontractPage(data) {
    return request({
        url: "/tataOrdSubcontract/page",
        method: 'get',
        params: data
    })
}
// 分包状态
export function tataOrdSubcontractstatuslist(){
    return request ({
        url:"/tataOrdSubcontract/status/list",
        method:'get'
    })
}
// 条码标签列表
export function tataspilitproductQueryBarCodeLabel(data) {
    return request({
        url: '/tataSplitProduct/queryBarCodeLabel',
        method: 'post',
        data
    })
}
// 查询生产进度图
export function tataspilitproductGetProductProcess(data) {
    return request({
        url: `/tataSplitProduct/getProductProcess/${data}`,
        method: 'get'
    })
}
// 获取标签信息
export function tataspilitproductGetBarCodeInfo(data) {
    return request({
        url: `/tataSplitProduct/getBarCodeInfo/${data}`,
        method: 'get'
    })
}
// 获取条码标签所属主单信息
export function tataspilitproductGetBarCodeOwnOrderInfo(data) {
    return request({
        url: `/tataSplitProduct/getBarCodeOwnOrderInfo/${data}`,
        method: 'get'
    })
}
// 获取进程图内返记录
export function internalReturnGetInternalReturnByUniqueCode(id, code, data) {
    return request({
        url: `/internalReturn/getInternalReturnByUniqueCode/${code}/${id}`,
        method: 'get',
        params: data
    })
}
// 获取订单枚举状态
export function ordPartOrdergetOrderStatus(){
    return request ({
        url:"/ordPartOrder/getOrderStatus",
        method:'get'
    })
}